Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class IssueItem

    java.lang.Object
      ix.icore.process.TimePoint
          ix.icore.process.PNode
              ix.ip2.AgendaItem
                  ix.ip2.IssueItem

All Implemented Interfaces:
  HasStatus

    public class IssueItem

extends AgendaItem

An AgendaEntry that represents an Issue.

Nested Class Summary

Nested classes/interfaces inherited from class ix.icore.process.PNode
`PNode.MakeVarIfUnbound`

Field Summary

Fields inherited from class ix.ip2.AgendaItem
`actions, handledBy, listeners, reports`

Fields inherited from class ix.icore.process.PNode
`beginEnd, computeStatus, endEnd, level, modelManager, parent`

Fields inherited from class ix.icore.process.TimePoint
`tpn_mark`

Constructor Summary
`IssueItem(Issue issue)`
`IssueItem(IssueItem parent, Issue issue)`

Method Summary
`java.util.Map` | `expandOneLevel(Refinement refinement, MatchEnv env)` Creates child nodes as specified by a refinement and installs ordering links.
`protected PNode` | `makePNode(PNode parent, LList pattern)`

Methods inherited from class ix.ip2.AgendaItem
`actionCanBeTakenNow, addAction, addHistoryEvent, addItemListener, addReport, assignStatus, clearActions, findAction, findAction, findAllActions, fireAgendaItemEdited, fireHandlerActionsChanged, fireNewHandlerAction, fireNewReport, firePriorityChanged, fireStatusChanged, getAbout, getActions, getComments, getHandledBy, getHistory, getHowHandled, getParent, getPattern, getPatternVars, getPriority, getReports, getShortDescription, getStatus, getUnboundVars, handleReportBack, hasAction, insertAction, isNew, setAbout, setComments, setHandledBy, setIsNew, setPattern, setPriority, setStatus, setStatusBasedOn, toString, wantsActionsFrom, wantsReport`

Methods inherited from class ix.icore.process.PNode
`addChild, allComputeStatus, allHaveStatus, computeStatus, ensureChildrenLinkedToParent, getBegin, getChildren, getEnd, getLevel, getModelManager, getParentPNode, getRefinement, getVarTable, hasChildren, isAncestorOf, isDescendentOf, isExpanded, isSiblingOf, processOrderings, setChildren, setRefinement, setVarTable, statusFromNodeEnds, unlink`

Methods inherited from class ix.icore.process.TimePoint
`addPostConstraint, addPreConstraint, getMaxTime, getMinTime, getPostConstraints, getPreConstraints, hasUnboundedMax, removePostConstraint, removePreConstraint, setMaxTime, setMinTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IssueItem

    public IssueItem(Issue issue)

### IssueItem

    public IssueItem(IssueItem parent,
                     Issue issue)

Method Detail

### expandOneLevel

    public java.util.Map expandOneLevel(Refinement refinement,
                                        MatchEnv env)

  Description copied from class: `PNode`
  Creates child nodes as specified by a refinement and installs ordering links. The subnodes are constructed by a factory method so that they can be instances of a subclass of Node and to allow other, related objects to be constructed at the same time.

  Overrides:
    `expandOneLevel` in class `PNode`
  Returns:
    a map from the ids of child nodes to those children. The ids are taken from the node-specs in the refinement.

### makePNode

    protected PNode makePNode(PNode parent,
                              LList pattern)

  Specified by:
    `makePNode` in class `PNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD